html,
body {
  background-image: url("./assets/images/background-desktop.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Inconsolata", monospace;
  font-size: 1rem;
  width: 100%;

  min-height: 100vh;
  box-sizing: border-box;
}

main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  max-width: 700px;
  width: 100%;
  box-sizing: border-box;
}
.form-container {
  width: 100%;
  height: 100%;

  top: 0;
}
.svg-line-small {
  position: absolute;
  top: 0;
  right: 0;
  width: auto;
  height: auto;

  pointer-events: none;
}
.svg-line-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  pointer-events: none;
  z-index: 1;
  background: url("./assets/images/pattern-lines.svg") repeat;
  background-size: auto;
}

.svg-circle {
  position: absolute;
  top: 50%;
  left: 80%;
  transform: translate(-50%, -50%);
  z-index: 1;
  pointer-events: none;
}
.svg-lines {
  position: fixed; 
  bottom: 0;      
  left: 0;         
  width: 100%;     
  max-width: 825px; 
  pointer-events: none; 
}


h1 {
  color: hsl(0, 0%, 100%);
}
.header-container {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 30px 20px 50px 20px;
}

.hero-section {
  text-align: center;

  display: flex;
  gap: 15px;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}
.hero-title {
  font-size: 50px;
  margin: 0;
}
.hero-description {
  width: 100%;
  text-align: center;
  max-width: 500px;
  color: hsl(252, 6%, 83%);
  margin: 0;
  font-size: 20px;
}
#user-email {
  color: hsl(7, 88%, 67%);
}
form {
  max-width: 500px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
}

.form-section {
  width: 100%;
  max-width: 500px;
  margin: 0 auto;
  padding: 20px;
  box-sizing: border-box;
}

label {
  font-size: 20px;
  font-weight: 400;
  color: hsl(252, 6%, 83%);
}
.upload-container {
  margin-top: 30px;
  display: flex;
  gap: 10px;
  flex-direction: column;
}
.form-section p,
span {
  color: hsl(245, 15%, 58%);
}

.input-wrapper {
  display: flex;
  margin-top: 10px;
  flex-direction: column;
  position: relative;
  width: 100%;
}

.input-wrapper input {
  border-radius: 12px;
  padding: 14px;
  color: hsl(0, 0%, 100%);
  caret-color: white;
  background-color: rgba(255, 255, 255, 0.1);
  border: 1px solid hsl(245, 19%, 35%);
  outline: none;
  transition: 0.2s all;
  position: relative;
  z-index: 1;
}

.input-wrapper::before {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  right: -3px;
  bottom: -3px;
  border: 1px solid transparent;
  border-radius: calc(12px + 2px);
  transition: border-color 0.2s ease;
  pointer-events: none;
}

.input-wrapper input:hover {
  border: 1px solid hsl(245, 15%, 58%);
  background-color: hsl(245, 19%, 35%);
}

.input-wrapper input:focus {
  border: 1px solid hsl(245, 15%, 58%);
}

.input-wrapper:focus-within::before {
  border-color: hsl(252, 6%, 83%);
}

.upload-box {
  background-color: rgba(255, 255, 255, 0.1);
  cursor: pointer;
  border: 2px dashed hsl(245, 15%, 58%);
  border-radius: 12px;
  position: relative;
  transition: 0.2s all;
}
.upload-box::before {
  content: "";
  position: absolute;
  top: -5px;
  left: -5px;
  right: -5px;
  bottom: -5px;
  border: 1px solid transparent;
  border-radius: 12px;
  transition: border-color 0.2s ease;
  pointer-events: none;
}

small {
  color: hsl(245, 15%, 58%);
  font-weight: 700;
  margin: 10px 0;
  font-size: 10px;
  letter-spacing: 1px;
}

.upload-box:focus::before {
  border-color: hsl(252, 6%, 83%);
}
.upload-box :hover {
  background-color: hsl(245, 19%, 35%);
  border-radius: 12px;
  transition: 0.2s all;
}
.upload-box p {
  margin: 0;
}
.svg-wrapper {
  display: flex;
  padding: 20px;
  gap: 20px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.avatarBtnWrapper {
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  justify-content: center;
}
button {
  display: inline-block;
}

.avatarWrapper {
  display: flex;
  padding: 20px;
  flex-direction: column;
  gap: 20px;

  margin: 0 auto;
}

#uploaded-image {
  width: 100px;
  height: 100px;
  max-width: 150px;
  object-fit: cover;
  border-radius: 12px;
  display: flex;
  margin: 10px auto;
}
.avatarWrapper button {
  border-radius: 8px;
  cursor: pointer;
  font-family: "Inconsolata", monospace;
  color: hsl(252, 6%, 83%);
  padding: 7px;
  background-color: rgba(255, 255, 255, 0.1);
  border: 0;
}

.avatarWrapper button:hover {
  text-decoration: underline;
}
.upload-box svg {
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid hsl(245, 15%, 58%);
  background-color: rgba(255, 255, 255, 0.1);
  padding: 5px;
  box-shadow: 0 3px 1px rgba(0, 0, 0, 0.5);
}
.submitBtn button {
  position: relative;
  width: 100%;
  margin: 20px 0;
  cursor: pointer;
  padding: 14px;
  border-radius: 12px;
  background-color: hsl(7, 88%, 67%);
  color: hsl(248, 70%, 10%);
  font-weight: 700;
  transition: 0.2s all;
  border: 0;
}
.submitBtn button::before {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  right: -3px;
  bottom: -3px;
  border: 1px solid transparent;
  border-radius: calc(12px + 2px);
  transition: border-color 0.2s ease;
  pointer-events: none;
}
.submitBtn button:hover::before {
  border-color: hsl(252, 6%, 83%);
}
.ticket-svg {
  width: 100%;
  max-width: 600px;
  min-height: 280px;
  background-image: url("./assets/images/pattern-ticket.svg");

  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  padding: 20px;
  box-sizing: border-box;
  position: relative;
}
.user-info-wrapper {
  display: flex;
}
.user-img img {
  display: flex;
  height: 80px;
  width: 80px;
  object-fit: cover;
  border-radius: 12px;
}
.user-name {
  background: linear-gradient(90deg, hsl(7, 86%, 67%), hsl(0, 0%, 100%));
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.user-info {
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.user-info h2 {
  font-weight: 400;
  color: hsl(0, 0%, 100%);
}
.logo {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.logo svg {
  width: 80%;
  height: auto;
}
.ticket-container {
  display: flex;
  gap: 100px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.git-login-wrapper {
  gap: 10px;
  display: flex;
}
.git-login-wrapper p {
  margin: 0;
  color: hsl(252, 6%, 83%);
}
.data-location {
  margin-left: 50px;
  color: hsl(252, 6%, 83%);
}
.ticket-wrapper {
  display: flex;
  z-index: 2;
  justify-content: space-between;


  width: 100%;
  height: 100%;
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.ticket-info {
  padding: 30px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.user-info-wrapper {
  display: flex;

  align-items: center;
  gap: 20px;
}
.ticket-number {
  transform: rotate(90deg);
  display: flex;
  color: hsl(245, 15%, 58%);
  justify-content: center;
  align-items: center;

  font-size: 28px;
  height: 100px;
  overflow: hidden;
}

@media (max-width: 520px) {
  html,
  body {
    background-image: url("./assets/images/background-mobile.png");
  }
  .submitBtn button {
    font-size: 20px;
    font-weight: 500px;
  }
  .ticket-svg {
    position: relative;
    min-height: 180px;
  }
  .hero-title {
    font-size: 30px;
  }
  .ticket-number {
    font-size: 20px;
  }

  .ticket-info {
    margin: 15px 0 15px 15px;
    padding: 0;
  }
  .logo {
    gap: 5px;
  }
  .data-location {
    font-size: 14px;
  }
  .user-name-ticket {
    margin: 0;
    font-size: 20px;
  }
  .ticket-container {
    margin: 0 25px;
  }
  .user-img img {
    margin: 10px 0;
    width: 50px;
    height: 50px;
  }

  .svg-line-small svg {
    position: absolute;
    top: 0;
    right: 0;
    width: 100px;
    height: 100px;

    pointer-events: none;
  }
  .svg-lines svg{
    position: fixed;
    bottom: 0;
    left: 0;
    width: 80%;         /* 30% от ширины экрана */
    height: auto;       /* Сохраняем пропорции */
    max-width: 825px;   /* Ограничиваем максимальную ширину */
    pointer-events: none;
  }
  
}
